Page MenuHomePhabricator

[LNT] Fix sql index name collision
ClosedPublic

Authored by thopre on Oct 10 2019, 8:43 AM.

Details

Summary

As revealed by the exception printing failure prior to the previous
commit, sqllite throws an error when creating the index for the
RegressionID field for the NT and link testsuite schemas since they have
the same name. This commit adds the testsuite schema to the index name
to avoid this collision.

Event Timeline

thopre created this revision.Oct 10 2019, 8:43 AM
This revision is now accepted and ready to land.Dec 7 2019, 3:08 PM
thopre closed this revision.Dec 9 2019, 5:57 AM
thopre added a comment.Dec 9 2019, 5:57 AM

Committed as a99f86119a7c5efbe3af20511ba0bd4f9fa24355